summaryrefslogtreecommitdiffstats
path: root/.config/zsh/oh-my-zsh/plugins/compleat/compleat.plugin.zsh
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2025-02-13 14:13:49 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2025-02-13 14:13:49 +0530
commit8a2e1006b3b272126332aa064f3ad95387129544 (patch)
tree944c80ac612a65980d94a54ba11b6c7102037ecf /.config/zsh/oh-my-zsh/plugins/compleat/compleat.plugin.zsh
parentdcbb16d8b08ff5956abef5e6478b59df2e93ad35 (diff)
downloaddotfiles-master.tar.gz
dotfiles-master.tar.bz2
dotfiles-master.zip
new dot filesHEADmaster
Diffstat (limited to '.config/zsh/oh-my-zsh/plugins/compleat/compleat.plugin.zsh')
-rw-r--r--.config/zsh/oh-my-zsh/plugins/compleat/compleat.plugin.zsh20
1 files changed, 20 insertions, 0 deletions
diff --git a/.config/zsh/oh-my-zsh/plugins/compleat/compleat.plugin.zsh b/.config/zsh/oh-my-zsh/plugins/compleat/compleat.plugin.zsh
new file mode 100644
index 0000000..38f1b39
--- /dev/null
+++ b/.config/zsh/oh-my-zsh/plugins/compleat/compleat.plugin.zsh
@@ -0,0 +1,20 @@
+# ------------------------------------------------------------------------------
+# FILE: compleat.plugin.zsh
+# DESCRIPTION: oh-my-zsh plugin file.
+# AUTHOR: Sorin Ionescu (sorin.ionescu@gmail.com)
+# VERSION: 1.0.0
+# ------------------------------------------------------------------------------
+
+if (( ${+commands[compleat]} )); then
+ local prefix="${commands[compleat]:h:h}"
+ local setup="${prefix}/share/compleat-1.0/compleat_setup"
+
+ if [[ -f "$setup" ]]; then
+ if ! bashcompinit >/dev/null 2>&1; then
+ autoload -U bashcompinit
+ bashcompinit -i
+ fi
+
+ source "$setup"
+ fi
+fi